Package org.eclipse.rdf4j.sail.extensiblestore

## Class SimpleMemoryNamespaceStore

- java.lang.Object
- - org.eclipse.rdf4j.sail.extensiblestore.SimpleMemoryNamespaceStore

- All Implemented Interfaces:
    `Iterable<SimpleNamespace>`, `NamespaceStoreInterface`

      @Experimental
      public class SimpleMemoryNamespaceStore
      extends Object
      implements NamespaceStoreInterface

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleMemoryNamespaceStore()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `String` | `getNamespace​(String prefix)` |
    `void` | `init()` |
    `Iterator<SimpleNamespace>` | `iterator()` |
    `void` | `removeNamespace​(String prefix)` |
    `void` | `setNamespace​(String prefix, String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### SimpleMemoryNamespaceStore

          public SimpleMemoryNamespaceStore()

  - ### Method Detail

    - #### getNamespace

          public String getNamespace​(String prefix)

      Specified by:
        `getNamespace` in interface `NamespaceStoreInterface`

    - #### setNamespace

          public void setNamespace​(String prefix,
                                   String name)

      Specified by:
        `setNamespace` in interface `NamespaceStoreInterface`

    - #### removeNamespace

          public void removeNamespace​(String prefix)

      Specified by:
        `removeNamespace` in interface `NamespaceStoreInterface`

    - #### iterator

          public Iterator<SimpleNamespace> iterator()

      Specified by:
        `iterator` in interface `Iterable<SimpleNamespace>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `NamespaceStoreInterface`

    - #### init

          public void init()

      Specified by:
        `init` in interface `NamespaceStoreInterface`